std::basic_string_view::operator=(3)

NAME
std::basic_string_view::operator= - std::basic_string_view::operator=

Synopsis
   constexpr basic_string_view& operator=( const basic_string_view& view (since C++17)
   ) noexcept = default;
   Replaces the view with that of view.

Parameters
   view - view to copy

Return value
   *this

Complexity
   Constant.

Example
// Run this code
 #include <iostream>
 #include <string_view>
 int main()
 {
     std::string_view v = "Hello, world";
     v = v.substr(7);
     std::cout << v << '\n';
 }

Output:
 world

See also
   constructor constructs a basic_string_view
   (C++17) (public member function)
   operator= assigns values to the string
                 (public member function of std::basic_string<CharT,Traits,Allocator>)